Skip to main content
DELETE
/
send
/
send_instructions
/
{id}
Delete a send instruction
curl --request DELETE \
  --url https://staging-api.chip-in.asia/api/send/send_instructions/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'checksum: <checksum>' \
  --header 'epoch: <epoch>'
import requests

url = "https://staging-api.chip-in.asia/api/send/send_instructions/{id}"

headers = {
"epoch": "<epoch>",
"checksum": "<checksum>",
"Authorization": "Bearer <token>"
}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {epoch: '<epoch>', checksum: '<checksum>', Authorization: 'Bearer <token>'}
};

fetch('https://staging-api.chip-in.asia/api/send/send_instructions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 50,
  "bank_account_id": 1,
  "amount": "100.00",
  "state": "deleted",
  "email": "recipient@example.com",
  "description": "Vendor payout for invoice INV-2024-0892",
  "reference": "INV-2024-0892",
  "send_recipient_receipt": true,
  "created_at": "2023-07-20T10:41:25.190Z",
  "updated_at": "2023-07-20T10:43:06.047Z"
}
{
"message": "Bad request",
"code": 400,
"data": {}
}
{
"message": "Unauthorized",
"code": 401,
"data": {}
}
{
"message": "You are not authorized to perform this action",
"code": 403,
"data": {}
}
{
"message": "Record not found",
"code": 404,
"data": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

epoch
integer<int64>
required

Unix epoch timestamp Unix timestamp (seconds).

Example:

1619740800

checksum
string
required

Refer to checksum calculation

Path Parameters

id
integer<int64>
required
Example:

8

Response

Successful response

A send instruction that initiates a payout to a recipient bank account.

bank_account_id
integer<int64>
required

The ID returned by the Add Bank Account endpoint.

Example:

1

amount
string
required

Amount in floating point with maximum of 2 decimal places.

Pattern: ^[0-9]{1,}\.{0,1}[0-9]{0,2}$
Example:

12.44

email
string<email>
required
Example:

"recipient@example.com"

description
string
required
Example:

"Vendor payout for invoice INV-2024-0892"

reference
string
required

Can be any value.

Example:

"INV-2024-0892"

id
integer<int64>
read-only

This ID must be stored for future reference.

Example:

1

state
enum<string>
  • received: The instruction has been received, but processing has not started.
  • enquiring: The instruction is pending verification.
  • executing: The instruction is pending execution.
  • reviewing: The instruction requires further attention. Contact your account manager for troubleshooting.
  • accepted: The instruction has been accepted by the service provider but not yet completed. This is commonly related to a beneficiary bank system outage during the request. Successful instructions will be set to completed within 24 hours, while unsuccessful instructions will be reviewed before being marked as rejected.
  • completed: The instruction has completed execution and the recipient should have received the payment.
  • rejected: The instruction has been rejected.
  • deleted: The instruction has been deleted.
Available options:
received,
enquiring,
executing,
reviewing,
accepted,
completed,
rejected,
deleted
receipt_url
string
read-only

Generated receipt URL.

Example:

"https://www.chip-in.asia/receipts/send/95712b0c"

slug
string
read-only

Generated receipt slug.

Example:

"95712b0c"

created_at
string<date-time>
read-only

Object creation time in UTC.

updated_at
string<date-time>
read-only

Object updated time in UTC.

send_recipient_receipt
boolean

When true, a receipt is delivered to the recipient's email. When false, no receipt is emailed to the recipient.

Example:

true